Update User
Update a user's details
Update a user's details
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/admin/update-user" \ -H "Content-Type: application/json" \ -d '{ "userId": "string", "data": "string" }'{ "user": { "id": "string", "name": "string", "email": "string", "emailVerified": false, "image": "string", "createdAt": "Generated at runtime", "updatedAt": "Generated at runtime", "lastLoginMethod": "string", "stripeCustomerId": "string", "role": "string", "banned": false, "banReason": "string", "banExpires": "2019-08-24T14:15:22Z", "lang": "en" }}{ "message": "string"}{ "message": "string"}{ "message": "string"}{ "message": "string"}{ "message": "string"}{ "message": "string"}